﻿using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.UltraWinToolTip;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGrid_Tooltip
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DataSource = getTable();
        }

        private DataTable getTable()
        {
            DataTable table = new DataTable();

            table.Columns.Add("Id", typeof(string));
            table.Columns.Add("Name", typeof(string));
            table.Columns.Add("Code1", typeof(string));
            table.Columns.Add("Code2", typeof(string));
            table.Columns.Add("Code3", typeof(string));

            for(int i = 0; i < 20; i++)
            {
                table.Rows.Add(new object[] { "00" + i, "Customer " + i, "00" + i, "123", "A" });
            }

            return table;
        }
        UltraToolTipInfo tooltipInfo;
        private void ultraGrid1_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            if (e.Element.GetAncestor(typeof(CellUIElement)) != null)
            {
                int selectedCount = ultraGrid1.Selected.Rows.Count;
                if(selectedCount > 1)
                {
                    string textToShow = "# of Selected Rows: " + selectedCount;
                    tooltipInfo = new UltraToolTipInfo("", Infragistics.Win.ToolTipImage.None, textToShow, Infragistics.Win.DefaultableBoolean.True);
                    ultraToolTipManager1.DisplayStyle = Infragistics.Win.ToolTipDisplayStyle.Standard;
                    ultraToolTipManager1.InitialDelay =300;
                    ultraToolTipManager1.AutoPopDelay = 2000;
                    ultraToolTipManager1.SetUltraToolTip(ultraGrid1, tooltipInfo);

                    ultraToolTipManager1.ShowToolTip(ultraGrid1);
                }
                else
                {
                    ultraToolTipManager1.SetUltraToolTip(ultraGrid1, null);
                }
            }
        }

        private void ultraGrid1_MouseLeaveElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            ultraToolTipManager1.HideToolTip();
        }
    }
}
